Substy Developers
Team

Get team member revenue history

Read revenue attributed to one employee over the requested dates and reporting filters.

GET/v1/agencies/{agencyId}/team/employees/{employeeId}/revenue-history

Read revenue attributed to one employee over the requested dates and reporting filters.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
employeeId*string

Query Parameters

startDate*string
endDate*string
page?number
Range1 <= value
Default1
limit?number
Range1 <= value <= 100
Default10
creatorIds?array<string>
Default[]
type?string
Default"all"

Value in

  • "all"
  • "ppv"
  • "tip"
paid?string
Default"all"

Value in

  • "all"
  • "paid"
  • "unpaid"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/team/employees/string/revenue-history?startDate=string&endDate=string" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": {    "items": [      {        "id": "string",        "type": "tip",        "amount": 0,        "isPaid": true,        "content": null,        "fanId": "string",        "fanName": "string",        "fanUsername": "string",        "creatorId": "string",        "creatorName": "string",        "createdAt": "2019-08-24T14:15:22Z",        "mediaCount": null      }    ],    "total": 0,    "totalPages": 0,    "currentPage": 0  },  "meta": {    "requestId": "string"  }}